Chrono Edit Lora Gallery · Upscaler
Amalaich
chrono-edit-lora-gallery/upscaler
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/chrono-edit-lora-gallery/upscaler?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/chrono-edit-lora-gallery/upscaler?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/chrono-edit-lora-gallery/upscaler", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/gd/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "chrono-edit-lora-gallery/upscaler",
"input": {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}
Cuir fòn chun mhodail Chrono Edit Lora Gallery · Upscaler (chrono-edit-lora-gallery/upscaler) tro Doitong API. Sgrìobhainnean airson àidseantan: https://doitong.com/gd/developers/models/chrono-edit-lora-gallery/upscaler.md
POST https://api.doitong.com/v1/run/chrono-edit-lora-gallery/upscaler?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
Ma tha inbhe na freagairt "queued" no "running", dèan poll air GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 gus am bi i "succeeded"; tha na faidhlichean ann an outputs[].url. Bidh POST https://api.doitong.com/v1/quote/chrono-edit-lora-gallery/upscaler leis an aon bhodhaig a’ tilleadh na prìse cheart ron ruith.
An t-iarrtas seo: $0.03 30 creideasan API Ruith e air an duilleig seo
An iuchair API ùr agad. Chan eil e ri fhaicinn ach an-dràsta, agus tha e mar-thà sa chòd agus ann an raon iuchair API gu h-ìosal. Cùm dìomhair e: na cuir ann an còd a ruitheas ann am brabhsair gu bràth.
Thèid a’ chiad toradh agad an-seo
Tog iarrtas gu h-ìosal agus ruith e leis an iuchair API agad. Tha na h-às-churan air an lethbhreacadh dhan stòradh againn, air an cumail gu bràth no 7 latha an-asgaidh.
Tog iarrtas
Tha na smachdan air an cruthachadh bho sgeama a’ mhodail. Bidh an còd agus a’ phrìs ag ùrachadh fhad ’s a dh’atharraicheas tu iad.
/run/chrono-edit-lora-gallery/upscaler?wait=20
tuairmse → $0.03
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/chrono-edit-lora-gallery/upscaler?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/chrono-edit-lora-gallery/upscaler?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/chrono-edit-lora-gallery/upscaler", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "chrono-edit-lora-gallery/upscaler",
"input": {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"wait_seconds": 20
}
}
}
Ruith an t-iarrtas seo
Fuirichidh an iuchair agad sa bhrobhsair seo: thèid a cur chun Doitong API a-mhàin agus a sàbhaladh (localStorage) a-mhàin ma chuireas tu comharra ri Cuimhnich. Faigh iuchair API
Mu Chrono Edit Lora Gallery · Upscaler
Meudaichidh agus glanaidh e ìomhaigh gun bhrosnachadh. Tha `upscale_factor` eadar 1 agus 4 agus is e 2 am bun-roghainn. Tha `num_inference_steps` eadar 2 agus 50 agus is e 30 am bun-roghainn, agus tha `lora_scale` eadar 0 agus 2. Faodaidh an toradh a bhith jpeg, png no webp, agus faodar suas ri 3 LoRAs a bharrachd aonachadh.
Paramadairean
Cuir an t-ainm canonical no an t-ainm dùthchasach, chan e an dà chuid. Ainmean canonical
image_urlriatanach
image
upscale_factorroghainneil
guidance_scaleroghainneil
enable_safety_checkerroghainneil
num_inference_stepsroghainneil
lora_scaleroghainneil
seedroghainneil
output_formatroghainneil
lorasroghainneil
loras[].pathriatanach
loras[].scaleroghainneil
Gabhaidh paramadairean faidhle ri URL poblach https://, URI data: suas ri 10 MB, no file_url de luchdachadh suas. Faidhlichean
Toradh
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "chrono-edit-lora-gallery/upscaler",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 30,
"usd": "0.03",
"charged": 30,
"refunded": 0
},
"input": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"output": {
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"prompt": "The user wants to add a surfer to the wave in the illustration while preserving the original ukiyo-e woodblock art style. The surfer should be depicted mid-action, crouched low on a modern-style surfboard, carving through the crest of the wave with one arm extended for balance and the other gripping the board. Their wavy hair and athletic physique should match the dynamic motion. The background must remain unchanged, including the iconic Mount Fuji and the traditional Japanese text, to maintain the artwork's historical aesthetic and composition.",
"seed": 42
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Raointean toraidh
- images
- array of object {url, content_type, file_name, file_size, width, height}Ìomhaigh a thig às an deasachadh.
- prompt
- stringPrompt a thèid a thoirt don phròiseas inference.
- seed
- integerSìol a thèid a chleachdadh rè inference.
Seòrsaichean eile de Chrono Edit Lora Gallery
Barrachd mhodalan: Àrdachadh
Do riochdairean AI: tha an duilleag seo mar Markdown aig https://doitong.com/gd/developers/models/chrono-edit-lora-gallery/upscaler.md. Na modailean agus na treòraichean uile: https://doitong.com/developers/llms.txt